org.aspectj.lang.reflect

## Interface DeclareAnnotation

    public interface DeclareAnnotation

The AspectJ runtime representation of a declare annotation member in an aspect.

### Nested Class Summary

Nested Classes
`static class` `DeclareAnnotation.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.annotation.Annotation` `getAnnotation()` The declared annotation.
`java.lang.String` `getAnnotationAsText()` Returns the text of the annotation as declared in this member.
`AjType<?>` `getDeclaringType()` The aspect that declared this member.
`DeclareAnnotation.Kind` `getKind()` The target element kind
`SignaturePattern` `getSignaturePattern()` The target signature pattern.
`TypePattern` `getTypePattern()` The target type pattern.

### Method Detail

#### getDeclaringType

    AjType<?> getDeclaringType()

The aspect that declared this member.

#### getKind

    DeclareAnnotation.Kind getKind()

The target element kind

#### getSignaturePattern

    SignaturePattern getSignaturePattern()

The target signature pattern. Returns null if getKind() == Type

#### getTypePattern

    TypePattern getTypePattern()

The target type pattern. Returns null if getKind() != Type

#### getAnnotation

    java.lang.annotation.Annotation getAnnotation()

The declared annotation. If the declared annotation does not have runtime retention, this method returns null.

#### getAnnotationAsText

    java.lang.String getAnnotationAsText()

Returns the text of the annotation as declared in this member. Available for both runtime and class-file retention annotations